#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <math.h>
#include <nicklib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <time.h>


#include "admutils.h" 

extern int *fchrom, *lchrom ;
extern int tlreest ;
extern int xchrom ;

extern int monitlo, monithi ;

void gx (double *pp, double p, double tau) ;

void 
ranpathx(double theta, double lambda,  int numstates,
 SNP **snpmarkers, int *ethnic, 
 int fc, int lc) ;

void 
ranpathr(double theta, double lambda,  int numstates,
 SNP **snpmarkers, int *ethnic, 
 int fc, int lc, int markernum, double risk) ;

void
mkgtypes(int *gtypes, SNP **tsnpm, int *ethnic, int indiv, int numstates, 
 int fc, int lc)  ;

void
genaa(int a, int *xx, int numstates) ;

double ranx (double z) ;

void 
dosim(SNP **snpm, Indiv **indm,
 int numsnps, int numindivs, double risk, double qrho,
 int markernum,  double *tauscal) ;

void 
doepisim(SNP **snpm, Indiv **indm,
 int numsnps, int numindivs, double*  epirisk, double qrho,
 char *epinames, double *tauscal) ;

void genindiv(Indiv **indm, int ncases, int ncontrols,
 int mode, int allmale) ;

